Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRIAbsolutePath

    java.lang.Object
      org.openxri.Parsable
          org.openxri.XRIPath
              org.openxri.XRIAbsolutePath

All Implemented Interfaces:
  java.lang.Comparable

    public class XRIAbsolutePath

extends XRIPath

This class provides a strong typing for a XRI Absolute Path. Any object of this class that appears outside of the package is a valid XRI Absolute Path.

Author:
  =chetan

Constructor Summary
`XRIAbsolutePath(java.lang.String sPath)` Constructs LocalPath from a String

Method Summary
`boolean` | `isPrefixOf(XRIAbsolutePath path)` Tests to see if this absolute path is a subsegment-wise prefix of the given `path`.
`java.lang.String` | `toIRINormalForm()` Serialzes Local Path into IRI normal from

Methods inherited from class org.openxri.XRIPath
`getNumSegments, getSegmentAt, getSegmentIterator, toURINormalForm`

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRIAbsolutePath

    public XRIAbsolutePath(java.lang.String sPath)

  Constructs LocalPath from a String

Method Detail

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Serialzes Local Path into IRI normal from

  Overrides:
    `toIRINormalForm` in class `XRIPath`
  Returns:
    The IRI normal form of the Local Path

### isPrefixOf

    public boolean isPrefixOf(XRIAbsolutePath path)

  Tests to see if this absolute path is a subsegment-wise prefix of the given `path`.

  Parameters:
    `path` -
  Returns:
    true if `path` is prefixed with or exactly the same as this XRIAbsolutePath object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.